package com.install4j.api.beaninfo;

/**
 * Descriptor for script parameters of script properties defined with a {@link ScriptPropertyDescriptor}.
 * @see com.install4j.api.beans.ScriptProperty
 */
public class ScriptParameter {

    private String parameterName;
    private Class parameterClass;

    /**
     * Create a script parameter.
     * @param parameterName the parameter name
     * @param parameterClass the parameter class.
     */
    public ScriptParameter(String parameterName, Class parameterClass) {
        this.parameterName = parameterName;
        this.parameterClass = parameterClass;
    }

    /**
     * Get the parameter name
     * @return the name
     */
    public String getParameterName() {
        return parameterName;
    }

    /**
     * Get the parameter class
     * @return the class
     */
    public Class getParameterClass() {
        return parameterClass;
    }
}
